%
% Solve for 
%
% y(t)=a E y(t+1) + b y(t-1) + c x(t)
% x(t)= rho x(t-1)+e(t)   e iid(0,se)
%
% and simulate the economy!
%
a     = 0.7;
b     = 0.25;

%a     = 0.25;
%b     = 0.7;
c     = 1;
rho   = 0.95;
se    = 0.1;

mu    = roots([a -1 b]);
[m,i] = min(abs(mu));
mu1   = mu(i);
[m,i] = max(abs(mu));
mu2   = mu(i);

alpha = b/(1-a*(mu1+rho));

%
% Simulation
%
lg    = 1000;
randn('state',1234567890);
e     = randn(lg,1)*se;
x     = zeros(lg,1);
y     = zeros(lg,1);

x(1)  = 0;
y(1)  = alpha*x(1);
for i = 2:lg;
   x(i) = rho*x(i-1)+e(i);
   y(i) = mu1*y(i-1)+alpha*x(i);
end

T=1:lg;
subplot(221);plot(x(T))
xlabel('Time','fontname','times','fontsize',12);title('x_t','fontname','times','fontsize',12)
set(gca,'fontname','times','fontsize',12)
subplot(222);plot(y(T))
xlabel('Time','fontname','times','fontsize',12);title('y_t','fontname','times','fontsize',12)
set(gca,'fontname','times','fontsize',12)
pause;
%print -depsc2 bkfw2.eps
close