%
% Backward solution 
%
lg  = 200;
T   = [1:lg];
a   = 1.8;  
b   = 1;
rho = 0.95;
sx  = 0.1;
xb  = 1;
se  = 0.1;
%
% 1) Simulate the exogenous process
%
x    = zeros(lg,1);
randn('state',1234567890);
e    = randn(lg,1)*sx;
x(1) = xb;
for i=2:lg;
   x(i) = rho*x(i-1)+(1-rho)*xb+e(i);
end
%
% 2) Compute the solution
%
randn('state',1234567891);
es = randn(lg,1);
y1	= zeros(lg,1); % without sunspot
y2	= zeros(lg,1); % with sunspot (se=0.1)
y3	= zeros(lg,1); % with sunspot (se=0.5)
y4	= zeros(lg,1); % with sunspot (se=1)
y1(1) = 0;
y2(1) = es(1)*0.1;
y3(1) = es(1)*0.5;
y4(1) = es(1);
for i=2:lg;
   y1(i) = y1(i-1)/a+b*x(i-1)/a;
   y2(i) = y2(i-1)/a+b*x(i-1)/a+0.1*es(i);
   y3(i) = y3(i-1)/a+b*x(i-1)/a+0.5*es(i);
   y4(i) = y4(i-1)/a+b*x(i-1)/a+es(i);
end
T=1:lg;
subplot(221);plot(T,y1(T));
xlabel('Time','fontname','times','fontsize',12);title('Without sunspot','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
subplot(222);plot(T,y2(T));
xlabel('Time','fontname','times','fontsize',12);title('\sigma_\zeta=0.1','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
subplot(223);plot(T,y3(T));
xlabel('Time','fontname','times','fontsize',12);title('\sigma_\zeta=0.5','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
subplot(224);plot(T,y4(T));
xlabel('Time','fontname','times','fontsize',12);title('\sigma_\zeta=1','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
pause;
%print -depsc2 backward.eps;
close