%
% Example of a deterministic bubble
% The case of asset pricing (constant dividends)
%
d_star= 1;
r		= 0.04;
%
% Fundamental solution p*
%
p_star= d_star/r;
%
% bubble
%
long	= 20;
T		= [0:long];
b		= (1+r).^T;
p		= p_star+b;

subplot(221);plot(T,p,'-',T,p_star*ones(1,long+1),'--');
legend('Bubble solution','Fundamental solution');
xlabel('Time','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
title('Asset price','fontname','times','fontsize',12);axis([1 long 24 28])
subplot(222);plot(T,b);
xlabel('Time','fontname','times','fontsize',12);title('Bubble','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
subplot(223);plot(T,d_star./p);
xlabel('Time','fontname','times','fontsize',12);title('dividend/price','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
subplot(224);plot(T(1:long-1),100*(p(2:long)-p(1:long-1))./p(1:long-1));
xlabel('Time','fontname','times','fontsize',12);title('Capital Gain (%)','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
pause;print -depsc2 bubble1.eps;close