%
% Example of a bursting bubble
% The case of asset pricing (constant dividends)
%
d_star= 1;
r		= 0.04;
%
% Fundamental solution p*
%
p_star= d_star/r;
%
% bubble
%
long	= 200;
prob	= 0.95;
randn('state',1234567890);
e		= randn(long,1);
rand('state',1234567890);
ind	= rand(long,1);
b		= zeros(long,1);
dum	= zeros(long,1);
b(1)	= 0;
for i = 1:long-1;
   dum(i)= ind(i)<prob;   
   b(i+1)= dum(i)*(b(i)*(1+r)/prob+e(i+1))+(1-dum(i))*e(i+1);
end;
T		= [1:long];
p		= p_star+b;

subplot(221);h=plot(T,p,'-',T,p_star*ones(1,long),'--');
legend('Bubble solution','Fundamental solution',0);
xlabel('Time','fontname','times','fontsize',12);title('Asset price','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
subplot(222);plot(T,b);hold on;
Ylim	= get(gca,'Ylim')
I=find(dum==0);
for i=1:length(I);
   h=line([I(i) I(i)],Ylim);
   set(h,'linestyle','--');
end;
xlabel('Time','fontname','times','fontsize',12);title('Bubble','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
subplot(223);plot(T,d_star./p);
xlabel('Time','fontname','times','fontsize',12);title('dividend/price','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
subplot(224);plot(T(1:long-1),100*(p(2:long)-p(1:long-1))./p(1:long-1));
xlabel('Time','fontname','times','fontsize',12);title('Capital Gain (%)','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
pause;print -depsc2 bubble2.eps;close