%
% Forward solution 
%
lg  = 200;
T   = [1:lg];
a   = 0.8;  
b   = 1;
rho = 0.95;
sx  = 0.1;
xb  = 1;
%
% Deterministic case
%
yd=b*xb/(1-a);
%
% Stochastic case
%
%
% 1) Simulate the exogenous process
%
x    = zeros(lg,1);
randn('state',1234567890);
e    = randn(lg,1)*sx;
x(1) = xb;
for i=2:lg;
   x(i) = rho*x(i-1)+(1-rho)*xb+e(i);
end
%
% 2) Compute the solution
%
ys    = b*x/(1-a*rho)+a*b*(1-rho)*xb/((1-a)*(1-a*rho));

subplot(221);plot(T,yd*ones(lg,1));
xlabel('Time','fontname','times','fontsize',12);title('Deterministic Case','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
subplot(222);plot(T,ys);
xlabel('Time','fontname','times','fontsize',12);title('Stochastic Case','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
pause;print -depsc2 forward.eps;close