%
% Labor demand
%
r   = 0.01;
f0  = 1;
wb  = 0.6;
f1  = 0.2;
phi = 1;
rho = 0.95;
nb  = (f0-wb)/f1;

nback=2;
nforw=1;
nstat=nback+nforw;

W=[
   0      0         1;
   0      rho       0;
   -(1+r) (1+r)/phi 2+r+f1*(1+r)/phi
];
%
% Computes eigenvalues: MU -> eigenvalues, P -> eigenvectors
%
[P,MU] = eig(W);
AMU    = abs(MU);
%
% Sort eigenvalues
%
[MU,k] = sort(diag(AMU));
P=P(:,k);
Q=inv(P);
%
% Solution
%
Gamma=-inv(Q(nback+1:nstat,nback+1:nstat))*Q(nback+1:nstat,1:nback);
MSS=W(1:nback,1:nback)+W(1:nback,nback+1:nstat)*Gamma;
MSE=[0;1];
%
% IRF
%
nrep=20;
SHOCK=[1]; 
SS=zeros(nback,nrep);
SS(:,1)=MSE*SHOCK;
for i=2:nrep;
  SS(:,i)=MSS*SS(:,i-1);
end
N=(Gamma*SS)';
T=1:nrep;
subplot(221);plot(T,SS(2,:));
xlabel('Time','fontname','times','fontsize',12);title('Real Wage','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
subplot(222);plot(T,N);
xlabel('Time','fontname','times','fontsize',12);title('Labor Demand','fontname','times','fontsize',12);
set(gca,'fontname','times','fontsize',12)
pause;
print -depsc2 labor2.eps;
close